CVE-2007-6165

HIGH

Description

Mail in Apple Mac OS X Leopard (10.5.1) allows user-assisted remote attackers to execute arbitrary code via an AppleDouble attachment containing an apparently-safe file type and script in a resource fork, which does not warn the user that a separate program is going to be executed. NOTE: this is a regression error related to CVE-2006-0395.

References

http://docs.info.apple.com/article.html?artnum=307179

http://lists.apple.com/archives/security-announce/2007/Dec/msg00002.html

http://secunia.com/advisories/27785

http://secunia.com/advisories/28136

http://securitytracker.com/id?1019106

http://www.heise-security.co.uk/news/99257

http://www.kb.cert.org/vuls/id/433819

http://www.securityfocus.com/bid/26510

http://www.us-cert.gov/cas/techalerts/TA07-352A.html

http://www.vupen.com/english/advisories/2007/3958

http://www.vupen.com/english/advisories/2007/4238

Details

Source: MITRE

Published: 2007-11-29

Updated: 2011-10-06

Type: CWE-20

Risk Information

CVSS v2.0

Base Score: 9.3

Vector: AV:N/AC:M/Au:N/C:C/I:C/A:C

Impact Score: 10

Exploitability Score: 8.6

Severity: HIGH